Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 16 Apr 2014, 21:35
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
GNU IceCat 17.0.1-i686_en-US
Post new topic   Reply to topic View previous topic :: View next topic
Page 2 of 2 [18 Posts]   Goto page: Previous 1, 2
Author Message
TheAsterisk!


Joined: 10 Feb 2009
Posts: 403
Location: SE Wisconsin, US

PostPosted: Thu 14 Feb 2013, 20:47    Post subject:  

UPDATED to version 17.0.1

I'll likely try to optimize and slim down the package more later on, but at least you have a newer release (presumably with fewer vulnerabilities) for now.
Back to top
View user's profile Send private message Visit poster's website 
musher0


Joined: 04 Jan 2009
Posts: 3787
Location: Gatineau (Qc), Canada

PostPosted: Sat 19 Oct 2013, 02:39    Post subject:  

Hello TheAsterisk! and everyone!

Here is a sfs of icecat-17.0.1, built from source on the very recent
lucidPuppy-5.2.8.6: http://limelinx.com/d2j82.

yasm and its libraries were used in addition to the Lucid-5.2.8.5 devx to
ensure jpg and web format compatibility. (If anyone is interested in
building mozilla stuff from source, I can provide the yasm builder
as a separate pet.)

I was tempted to build icecat-24, but lucidPup does not have Python 2.7,
which is required to compile this version. So I put that project on hold.

(Your experience with compiling icecat, TheAsterisk! ? I wish to co-
operate, not compete. Are you preparing v. 24?)

This sfs is bigger than TheAsterisk!'s pet, because, as I understand it, I
happened to compile everything including the icecat developers' kit. In
any case, it's a sfs, so you don't need to increase the size of your
pupsave file to use it.

md5 verification code is:
1792654b7ef0d9f5eb05861a61d19562 icecat-17.0.1_528.sfs

glibc used for this compile of icecat is lucidPup's glibc 2.11, which is also
the same as the one in wary-5.5. This means this icecat should be
compatible with the pups mentioned and pups with a higher glibc version,
such as pemasu's wheezyPup and raringPup.

Please let me know, objective constructive feedback will be appreciated.

That's all for now. Enjoy.

musher0

_________________
"Logical entities must not be multiplied needlessly." / "Il ne faut pas multiplier les êtres logiques inutilement." (Ockham)
Back to top
View user's profile Send private message Visit poster's website 
musher0


Joined: 04 Jan 2009
Posts: 3787
Location: Gatineau (Qc), Canada

PostPosted: Sat 26 Oct 2013, 21:44    Post subject:  

Hello, all.

I get a message: "missing css's" or "javascript missing" on certain sites with icecat 17.
(taxtips.ca, actually. Now why on earth whould I need to go to that site... Wink )

In any case: anyone has lights about what's going on? Is icecat crippled?

Thanks in advance.

musher0

_________________
"Logical entities must not be multiplied needlessly." / "Il ne faut pas multiplier les êtres logiques inutilement." (Ockham)
Back to top
View user's profile Send private message Visit poster's website 
Display posts from previous:   Sort by:   
Page 2 of 2 [18 Posts]   Goto page: Previous 1, 2
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0388s ][ Queries: 13 (0.0045s) ][ GZIP on ]